import unittest
from src.core import tools
from io import StringIO
import sys

class TestEcho(unittest.TestCase):
    def test_base(self):
        echoMid = tools.EchoMiddleWare()
        captured_out = StringIO()
        sys.stdout = captured_out
        echoMid.process('hello')
        sys.stdout = sys.__stdout__
        self.assertEqual(captured_out.getvalue(), 'hello\n')