from sys import stdout
from typing import Any, AsyncGenerator
from .core import ExecuteProcessor

class EchoProcessor(ExecuteProcessor):
    async def execute(self, data):
        stdout.write(data)
        stdout.flush()
        return None

class TeeProcessor(ExecuteProcessor):
    async def execute(self, data):
        stdout.write(data)
        stdout.flush()
        return data